Skip to main content
GET
/
tokenization
/
tokens
/
{id}
/
transactions
TypeScript
const response: Promise<FireblocksResponse<OnchainTransactionsPagedResponse>> = fireblocks.tokenization.getTokenTransactions(tokenizationApiGetTokenTransactionsRequest);
{
  "data": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "baseAssetId": "ETH_TEST3",
      "blockHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
      "blockNumber": 12345678,
      "blockTimestamp": "2025-01-16T15:45:00Z",
      "chainId": 1,
      "contractAddress": "0x1234567890123456789012345678901234567890",
      "cumulativeGasUsed": "21000",
      "effectiveGasPrice": "20000000000",
      "fromAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
      "gasUsed": "21000",
      "status": "1",
      "toAddress": "0x1234567890123456789012345678901234567890",
      "transactionHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
      "transactionIndex": "0",
      "type": "2"
    }
  ],
  "next": "MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA==",
  "prev": "dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg==",
  "total": 150
}

Path Parameters

id
string
required

The token link id

Query Parameters

startDate
string<date-time>

Start date of the time range in ISO 8601 format

endDate
string<date-time>

End date of the time range in ISO 8601 format

pageCursor
string

Page cursor to get the next page

pageSize
integer

Number of items per page (max 100), requesting more than 100 will return 100 items

Required range: 1 <= x <= 100
sortBy
enum<string>
default:blockTimestamp

Sorting field (enum).

Available options:
blockTimestamp,
blockNumber,
transactionHash
order
enum<string>
default:DESC

ASC / DESC ordering (default DESC)

Available options:
ASC,
DESC

Response

Onchain transactions fetched successfully

data
object[]
required

Array of onchain transactions

Example:
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"baseAssetId": "ETH_TEST3",
"blockHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"blockNumber": 12345678,
"blockTimestamp": "2025-01-16T15:45:00Z",
"chainId": 1,
"contractAddress": "0x1234567890123456789012345678901234567890",
"cumulativeGasUsed": "21000",
"effectiveGasPrice": "20000000000",
"fromAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
"gasUsed": "21000",
"status": "1",
"toAddress": "0x1234567890123456789012345678901234567890",
"transactionHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
"transactionIndex": "0",
"type": "2"
}
]
next
string

Cursor for next page

Example:

"MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA=="

prev
string

Cursor for previous page

Example:

"dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg=="

total
number

Total count of items

Example:

150